> ## Documentation Index
> Fetch the complete documentation index at: https://developers.everhour.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Project

> Create a new project. To copy from an existing template use the `template` or `publicTemplate` body field. To sync a project from a connected integration use `POST /projects/{project_id}/sync` instead.



## OpenAPI

````yaml /openapi.json post /projects
openapi: 3.1.1
info:
  title: Everhour API
  version: 1.0.0
  license:
    name: Proprietary
    identifier: LicenseRef-Proprietary
servers:
  - url: https://api.everhour.com
security:
  - ApiKeyAuth: []
tags:
  - name: Clients
  - name: Custom Fields
  - name: Expenses
  - name: Invoices
  - name: Projects
  - name: Reports
  - name: Schedule
  - name: Tasks
  - name: Time Off
  - name: Time Records
  - name: Timecards
  - name: Timers
  - name: Timesheets
  - name: Users
  - name: Webhooks
paths:
  /projects:
    post:
      tags:
        - Projects
      summary: Create Project
      description: >-
        Create a new project. To copy from an existing template use the
        `template` or `publicTemplate` body field. To sync a project from a
        connected integration use `POST /projects/{project_id}/sync` instead.
      operationId: createProject
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ProjectRequestCreateRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Project'
        '401':
          description: Unauthorized
components:
  schemas:
    ProjectRequestCreateRequest:
      type: object
      properties:
        name:
          type: string
          example: Project Name
        type:
          type: string
          description: Project type
          enum:
            - board
            - list
          example: board
        users:
          type: array
          description: Assigned user IDs
          items:
            type: integer
          example:
            - 1304
            - 1543
        client:
          type: integer
          nullable: true
          description: Client ID to assign the project to
        privacy:
          type: boolean
          description: Restrict project visibility to its assigned members
        changeProtected:
          type: boolean
          description: Prevent edits by non-admins
        isTemplate:
          type: boolean
          description: Mark the project as a template
      required:
        - name
        - type
    Project:
      type: object
      properties:
        id:
          type: string
          example: as:1234567890
        name:
          type: string
          example: Project Name
        workspaceId:
          type:
            - string
            - 'null'
        workspaceName:
          type:
            - string
            - 'null'
        client:
          type:
            - number
            - 'null'
          description: Client ID
        type:
          type: string
          description: Project Type
          enum:
            - board
            - list
          example: board
        favorite:
          type: boolean
          example: false
        users:
          type: array
          description: List of assigned user IDs
          items:
            type: number
          example:
            - 1304
            - 1543
        billing:
          $ref: '#/components/schemas/ProjectBillingBilling'
        rate:
          $ref: '#/components/schemas/ProjectBillingRate'
        budget:
          $ref: '#/components/schemas/ProjectBillingBudget'
      required:
        - id
        - name
        - users
    ProjectBillingBilling:
      type: object
      properties:
        type:
          type: string
          description: Project Type
          enum:
            - non_billable
            - hourly
            - fixed_fee
        fee:
          type: number
          description: Project fixed fee in cents
      required:
        - type
    ProjectBillingRate:
      type: object
      properties:
        type:
          type: string
          description: Project Type
          enum:
            - project_rate
            - user_rate
        rate:
          type: number
          description: Flat-rate in cents
        userRateOverrides:
          type: object
          description: Override user rates
          additionalProperties:
            type: number
          example:
            '1304': 10000
            '1543': 5000
      required:
        - type
    ProjectBillingBudget:
      type: object
      properties:
        type:
          type: string
          description: Budget Type
          enum:
            - money
            - time
            - costs
          example: money
        budget:
          type: number
          description: Budget value in cents (for money) or seconds (for time)
          example: 100000
        progress:
          type: number
          description: Current budget usage in cents (for money) or seconds (for time)
          readOnly: true
          example: 0
        timeProgress:
          type: number
          description: Budget progress belongs to time tracking
          readOnly: true
          example: 0
        expenseProgress:
          type: number
          description: Budget progress belongs to expenses
          readOnly: true
          example: 0
        period:
          type: string
          description: Budget periodicity
          enum:
            - general
            - monthly
            - weekly
            - daily
            - quarterly
            - yearly
          example: general
        appliedFrom:
          type:
            - string
            - 'null'
          description: Start budget from (available only for non-recurrent budgets)
        disallowOverbudget:
          type: boolean
        excludeUnbillableTime:
          type: boolean
        excludeExpenses:
          type: boolean
        showToUsers:
          type: boolean
          description: Set true if all team members should see budget and its progress
        threshold:
          type: number
          description: >-
            Email admins when threshold reached. Threshold is percentage 1 -
            100.
      required:
        - type
        - budget
        - period
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key

````